/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PerfectCAENPhaDriver.h"
#include "CAENPhaDef.h"

using namespace std;

namespace caen_pha {

/*
 * Constructor
 */
PerfectCAENPhaDriver::PerfectCAENPhaDriver(CAENPhaDriver* owner) :
	CAENPhaState(owner) {
	/* Empty */
}

/*
 * Destructor
 */
PerfectCAENPhaDriver::~PerfectCAENPhaDriver() {
	/* Empty */
}

/*!
 * \brief Init command implementation
 */
void PerfectCAENPhaDriver::init() {

}

/*!
 * \brief Clear command implementation
 */
void PerfectCAENPhaDriver::clear() {

}

/*!
 * \brief Reset command implementation
 */
void PerfectCAENPhaDriver::reset() {

}

/*!
 * \brief Write Param command implementation
 */
void PerfectCAENPhaDriver::writeParam() {

}

/*!
 * \brief Set acquisition mode command implementation
 */
void PerfectCAENPhaDriver::setAcqMode() {

}

/*!
 * \brief Read Infos command implementation
 */
void PerfectCAENPhaDriver::readInfos() {

}

}
